﻿@model StomaWebApp.Views.ViewModels.BigUserMainViewModel
@{
    ViewData["Title"] = "UserMain";
    Layout = "~/Views/Shared/_LayoutUserMain.cshtml";
}
<h1></h1>

<div class="col my-col">
    <div class="row list-border-top list-border-even"><h2>Patients</h2></div>
    <div class="accordion" id="accordionExample">
        @{
            if (Model != null)
            {
                int count = 1;
                int collapseCount = 0;
                string switcher = "odd";
                foreach (var appointment in Model.AllPatients)

                {
                    if (count % 2 == 0)
                    {
                        switcher = "even";
                    }
                    else
                    {
                        switcher = "odd";
                    }
                    <div class="accordion" id="accordionExample">
                        <div class="card special-card ">
                            <div class="card-header special-card" id="headingOne">
                                <div class="row list-border-@switcher" type="text" data-toggle="collapse" data-target="#collapse-@collapseCount" aria-controls="collapseOne">
                                    <div class="col">@appointment.Name</div>
                                </div>
                            </div>
                            <div id="collapse-@collapseCount" class="collapse special-card" aria-labelledby="headingOne" data-parent="#accordionExample">
                                <div class="card-body row">
                                    <div class="col">Show All surgeries of this Patient</div>
                                    <button class="col">Edit Name</button>
                                    <button class="col">Remove Patient</button>
                                    <button>Save</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    count++;
                    collapseCount++;
                }
            }
        }
    </div>
    <div class="row">
        <a asp-controller="UserMain" asp-action="Patients" asp-route-id="@(Model.CurrentPage-1)" class="previous col-6">&#8249;</a>
        <a asp-controller="UserMain" asp-action="Patients" asp-route-id="@(Model.CurrentPage+1)" class="next col-6">&#8250;</a>
    </div>
    <a class="button list-border-top" href="#popup2">Add Patient</a>
    <form class="form-group" autocomplete="off">
        <div id="popup2" class="overlay">
            <div class="popup">
                <h2>Add new patient</h2>
                <div class="row">
                    <div class="col">
                        Patient:
                    </div>
                    <div class="col">
                        <input class="autocomplete" asp-for="NewPatient" onblur="checkTextField(this,1)" id="myInput" type="text" placeholder="Patients" `>
                        <span id="error1"></span>
                    </div>
                </div>
                <br />
                <a class="close" href="">&times;</a>
                <div class="row">
                    <button type="submit" id="yourButton" asp-controller="UserMain" asp-action="AddPatient" href="">Add</button>
                </div>
            </div>
        </div>
    </form>
</div>

<script>

    console.log(@Model.AllPatients);
</script>
